import { Directive, ElementRef, Input } from '@angular/core';
import { HighlightDataLem } from '../models/evt-models';

@Directive({
  selector: '[evtLemHighlight]',
})
export class HighlightLemDirective {

  @Input('evtLemHighlight') set highlightDataLem(hd: HighlightDataLem) {
    this.highlightLem(hd);
  }

  constructor(
    private el: ElementRef,
  ) {
  }

  private highlightLem(HighlightDataLem: HighlightDataLem) {
    if (HighlightDataLem.highlightLem) {
      this.el.nativeElement.classList.add('highlightlem');
    } else {
      this.el.nativeElement.classList.remove('highlightlem');
    }
    this.el.nativeElement.style.backgroundColor = HighlightDataLem && HighlightDataLem.highlightLem ? HighlightDataLem.highlightColorLem : '';
  }
}
